Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419583 (CVE-2017-5848) - CVE-2017-5848 gstreamer-plugins-bad-free: Invalid memory read in gst_ps_demux_parse_psm
Summary: CVE-2017-5848 gstreamer-plugins-bad-free: Invalid memory read in gst_ps_demux...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5848
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419617 1419614 1419616 1419618
Blocks: 1415638 1419601
TreeView+ depends on / blocked
 
Reported: 2017-02-06 14:59 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 08:43:02 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 0 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2017-02-06 14:59:56 UTC
Invalid memory read and possible buffer overflows were found in PSM parser.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=777957

Upstream patch:

https://github.com/GStreamer/gst-plugins-bad/commit/948b87bf1514de

CVE assignment:

http://seclists.org/oss-sec/2017/q1/284

Comment 1 Adam Mariš 2017-02-06 15:20:51 UTC
Created mingw-gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1419618]

Comment 2 Adam Mariš 2017-02-06 15:21:11 UTC
Created gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1419616]

Comment 3 Adam Mariš 2017-02-06 15:21:24 UTC
Created gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1419614]

Comment 4 Adam Mariš 2017-02-06 15:21:42 UTC
Created mingw-gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1419617]

Comment 6 errata-xmlrpc 2017-08-01 22:29:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.